Page MenuHomePhabricator

Make (un)collapsing of unchanged texts more visible
Closed, ResolvedPublic

Description

Motivation
Currently, the greyed out text in the tex column can be opened and closed by clicking on it. Unfortunately, so far there is nothing indicating that.

Task
Show users that they can (un)collape the greyed out text as shown here (states: collapsed, expanded, big overview)

So each section of unchanged text gets a little button with ▾ if text is collapsed and a ▴ if it is expanded, thus indicating the action. Clicking on the button toggles the collapse for all unchanged text.

Caveat: The button seems to indicated that one area is collapsed but it always effects all. If we want to avoid this we would need to define an "undefined" state for the collapse/expand radio buttons above. So far I’d guess it is only a minor problem, though.

Event Timeline

Lea_WMDE created this task.Apr 4 2017, 1:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2017, 1:51 PM
Jan_Dittrich updated the task description. (Show Details)Apr 7 2017, 9:40 AM
Jan_Dittrich updated the task description. (Show Details)Apr 7 2017, 10:06 AM
WMDE-Fisch moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Apr 11 2017, 3:23 PM
Jan_Dittrich updated the task description. (Show Details)Apr 11 2017, 3:38 PM

Change 348216 had a related patch set uploaded (by Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Make (un)collapsing of unchanged texts more visible

https://gerrit.wikimedia.org/r/348216

Change 348216 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Make (un)collapsing of unchanged texts more visible

https://gerrit.wikimedia.org/r/348216

WMDE-Fisch moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Apr 25 2017, 3:21 PM
WMDE-Fisch closed this task as Resolved.May 3 2017, 8:51 AM
WMDE-Fisch removed a project: Patch-For-Review.
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 7 2017, 12:00 PM